Magick::annotateImage Class Reference

`#include <STL.h>`

## Public Member Functions

| annotateImage (const std::string &text_, const Geometry &geometry_)
| annotateImage (const std::string &text_, const Geometry &geometry_, const GravityType gravity_)
| annotateImage (const std::string &text_, const Geometry &geometry_, const GravityType gravity_, const double degrees_)
| annotateImage (const std::string &text_, const GravityType gravity_)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 106 of file STL.h.

## Constructor & Destructor Documentation

## annotateImage() [1/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 70 of file STL.cpp.

## annotateImage() [2/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 79 of file STL.cpp.

## annotateImage() [3/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_,
|  | const GravityType | gravity_,
|  | const double | degrees_
| ) |  |

Definition at line 90 of file STL.cpp.

## annotateImage() [4/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 102 of file STL.cpp.

## Member Function Documentation

## operator()()

void Magick::annotateImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 110 of file STL.cpp.

References Magick::Image::annotate().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp